#if !defined(AFX_RESULTDATA_TOTAL_H__C69E3340_A2A0_11D3_8551_D1350833310F__INCLUDED_)
#define AFX_RESULTDATA_TOTAL_H__C69E3340_A2A0_11D3_8551_D1350833310F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class resultdata_total  
{
public:
	double get_player_weighted_score (player_t* player);
	int			get_player_count();
	int			get_p2p_count(player_t* player);
	int			sort_players (sort_t order);
	int			sort_p2p (player_t* player, sort_t order);
	player_t*	get_player (char* name);
	player_t*	search_player (char* name);
	p2p_t*		get_p2p (player_t* player, char* name);
	player_t	first_player;
	int			add_results (resultdata* result);
	sort_t		s_order;
	resultdata_total(configdata* in_config);
	virtual ~resultdata_total();
private:
	configdata* config;
	void		dump_players();
	void		swap_next_players (player_t* previous1, player_t* previous2);
	void		swap_next_p2p (p2p_t* previous1, p2p_t* previous2);
	player_t*	add_player (char* name);
	p2p_t*		add_p2p (player_t* player, char* name);
};

#endif // !defined(AFX_RESULTDATA_TOTAL_H__C69E3340_A2A0_11D3_8551_D1350833310F__INCLUDED_)
